# Balance Sheets `GET` `https://api.unusualwhales.com/api/stock/{ticker}/balance-sheets` Returns balance sheet data including assets, liabilities, equity, debt structure, intangibles, goodwill, receivables, inventory, and shares outstanding. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `accumulated_depreciation_amortization_ppe` | string | | | `capital_lease_obligations` | string | | | `cash_and_cash_equivalents` | string | | | `cash_and_short_term_investments` | string | | | `common_stock` | string | | | `common_stock_shares_outstanding` | string | | | `current_accounts_payable` | string | | | `current_debt` | string | | | `current_long_term_debt` | string | | | `current_net_receivables` | string | | | `deferred_revenue` | string | | | `fiscal_date_ending` | string | | | `goodwill` | string | | | `inserted_at` | string | | | `intangible_assets` | string | | | `intangible_assets_excluding_goodwill` | string | | | `inventory` | string | | | `investments` | string | | | `long_term_debt` | string | | | `long_term_debt_noncurrent` | string | | | `long_term_investments` | string | | | `other_current_assets` | string | | | `other_current_liabilities` | string | | | `other_non_current_assets` | string | | | `other_non_current_liabilities` | string | | | `property_plant_equipment` | string | | | `report_type` | string | | | `reported_currency` | string | | | `retained_earnings` | string | | | `short_long_term_debt_total` | string | | | `short_term_debt` | string | | | `short_term_investments` | string | | | `ticker` | string | | | `total_assets` | string | | | `total_current_assets` | string | | | `total_current_liabilities` | string | | | `total_liabilities` | string | | | `total_non_current_assets` | string | | | `total_non_current_liabilities` | string | | | `total_shareholder_equity` | string | | | `treasury_stock` | string | | | `updated_at` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/balance-sheets" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/balance-sheets", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "goodwill": "8000000000", "intangible_assets": "5000000000", "other_non_current_liabilities": "45888000000", "short_long_term_debt_total": "106629000000", "total_liabilities": "308030000000" } ] } ```